Lists all the webhooks
curl --request GET \
--url https://api.sandbox.goteal.co/webhooks \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.sandbox.goteal.co/webhooks"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.sandbox.goteal.co/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"offset": 75,
"limit": 25,
"count": 14,
"total_count": 89
},
"webhooks": [
{
"webhook_id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
"name": "user-payroll-submitted",
"events": [
"user-payroll-submitted",
"user-hmrc-data-submitted",
"user-bank-statement-submitted"
],
"url": "https://webhooks.company.com",
"created_at": "2019-05-17T00:00:00.000Z"
}
]
}{
"errors": [
"The request is missing the required field `name`"
]
}{
"errors": [
"No X-API-KEY header provided or wrong value"
]
}Webhooks
List all webhooks
GET
/
webhooks
Lists all the webhooks
Authorizations
ApiKeyAuthMemberBearerAuth
Query Parameters
The offset to start at
Required range:
x >= 1The number of items to return
Required range:
1 <= x <= 100⌘I